How do I install Libimobile 1.0.4 on LMDE

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

How do I install Libimobile 1.0.4 on LMDE

Postby jsteele31 on Sun Dec 05, 2010 9:36 pm

Hey guys since the IPhone update the old version of LibiMobile offered in LMDE no longer works. They have a new version on the website but it compiling it doesn't work. Is there any tutorials available on how to install the new version on LMDE???
jsteele31
Level 1
Level 1
 
Posts: 8
Joined: Wed Nov 24, 2010 2:20 am

Linux Mint is funded by ads and donations.
 

Re: How do I install Libimobile 1.0.4 on LMDE

Postby mads on Mon Dec 06, 2010 7:22 pm

Hi jsteele31!

Version 1.0.4 is in Debian experimental: http://packages.debian.org/search?searchon=names&keywords=libimobiledevice
So, I guess you should change apt repositories from "testing" (default in LMDE) to "experimental" and do a sudo apt-get update. Then upgrade LibiMobile from 1.0.2 to 1.0.4, and change apt repositories back to "testing".

I am sure there are better ways to approach this, but I am also new to Debian/LMDE.
User avatar
mads
Level 6
Level 6
 
Posts: 1309
Joined: Wed Nov 03, 2010 3:44 pm

Re: How do I install Libimobile 1.0.4 on LMDE

Postby tdockery97 on Mon Dec 06, 2010 7:41 pm

mads wrote:Hi jsteele31!

Version 1.0.4 is in Debian experimental: http://packages.debian.org/search?searchon=names&keywords=libimobiledevice
So, I guess you should change apt repositories from "testing" (default in LMDE) to "experimental" and do a sudo apt-get update. Then upgrade LibiMobile from 1.0.2 to 1.0.4, and change apt repositories back to "testing".

I am sure there are better ways to approach this, but I am also new to Debian/LMDE.

Your method works fine. I've used it many times in the past.
Image

HP Pavilion 17 Notebook, 8GB DDR3, 2.5GHZ A10-APU, Radeon HD 8650G
User avatar
tdockery97
Level 13
Level 13
 
Posts: 4880
Joined: Sun Jan 10, 2010 8:54 am
Location: Salem, Oregon

Re: How do I install Libimobile 1.0.4 on LMDE

Postby mads on Mon Dec 06, 2010 8:57 pm

tdockery97 wrote:Your method works fine. I've used it many times in the past.

tdockery97, thanks a lot for this.

Good to know that this method works. I have actually never tried it myself.
User avatar
mads
Level 6
Level 6
 
Posts: 1309
Joined: Wed Nov 03, 2010 3:44 pm


Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 3 guests